For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
  • Deal Management
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
user_file

List User Files

GET
/api/v1/user/me/file
GET
/api/v1/user/me/file
$curl https://app.termina.ai/api/v1/user/me/file \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "name": "string",
4 "id": 1,
5 "user_id": 1,
6 "type": "deck",
7 "created_at": "2024-01-15T09:30:00Z",
8 "updated_at": "2024-01-15T09:30:00Z",
9 "is_archived": true,
10 "filesize": 0,
11 "location": "string"
12 }
13]
List all files owned by the authenticated user.
Was this page helpful?
Previous

Upload User File

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Successful Response
namestring

The human-readable name of the file

idinteger
user_idinteger
typeenum or null
The type of the file
created_atstringformat: "date-time"
updated_atstring or nullformat: "date-time"
is_archivedboolean or null
filesizeintegerDefaults to 0
The size of the file in bytes
locationstring or null